Bug 485006 - Software raid doesn't work in MLS Enforcing (boot fails)
Software raid doesn't work in MLS Enforcing (boot fails)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 23:00 EST by Joe Nall
Modified: 2010-01-08 06:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:19:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux policy patch (did not work) (1.14 KB, patch)
2009-02-10 23:04 EST, Joe Nall
no flags Details | Diff

  None (edit)
Description Joe Nall 2009-02-10 23:00:57 EST
Description of problem:
mdadm runs system_u:system_r:mdadm_t:s0-s15:c0.c1023 during boot and can't access block devices that are system_u:object_r:fixed_disk_device_t:s15:c0.c1023

Version-Release number of selected component (if applicable):

mdadm-2.6.7.1-1.fc10.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Build two disk md device
2. Boot in MLS Enforcing
  
Actual results:

grep mdadm /var/log/audit/audit.log  | grep denied
node=jcdx type=AVC msg=audit(1234319790.266:18): avc:  denied  { read } for  pid=1473 comm="mdadm" name="sdb2" dev=tmpfs ino=508 scontext=system_u:system_r:mdadm_t:s0-s15:c0.c1023 tcontext=system_u:object_r:fixed_disk_device_t:s15:c0.c1023 tclass=blk_file
node=jcdx type=AVC msg=audit(1234319790.266:20): avc:  denied  { read } for  pid=1453 comm="mdadm" name=".tmp-9-1" dev=tmpfs ino=5835 scontext=system_u:system_r:mdadm_t:s0-s15:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=blk_file
node=jcdx type=AVC msg=audit(1234319790.266:19): avc:  denied  { read } for  pid=1472 comm="mdadm" name="sda2" dev=tmpfs ino=505 scontext=system_u:system_r:mdadm_t:s0-s15:c0.c1023 tcontext=system_u:object_r:fixed_disk_device_t:s15:c0.c1023 tclass=blk_file
node=jcdx type=AVC msg=audit(1234319790.270:21): avc:  denied  { getattr } for  pid=1453 comm="mdadm" path="/proc/kcore" dev=proc ino=4026531986 scontext=system_u:system_r:mdadm_t:s0-s15:c0.c1023 tcontext=system_u:object_r:proc_kcore_t:s15:c0.c1023 tclass=file

Then boot stops at a recovery mode prompt.

Expected results:

boot

Additional info:

Works fine in permissive.
Comment 1 Joe Nall 2009-02-10 23:04:59 EST
Created attachment 331512 [details]
selinux policy patch (did not work)
Comment 2 Joe Nall 2009-02-10 23:06:43 EST
The attached patch transitions to SystemHigh when invoked by run_init in permissive. It did not change the boot behavior.
Comment 3 Doug Ledford 2009-03-18 12:57:13 EDT
Dan, do you know what's going on here?
Comment 4 Daniel Walsh 2009-03-18 14:47:52 EDT
Joe I think you need

mls_file_read_all_levels(mdadm_t)
mls_file_write_all_levels(mdadm_t)
Comment 5 Daniel Walsh 2009-03-18 14:48:37 EDT
Miroslav can you add this to F10 policy.
Comment 6 Miroslav Grepl 2009-03-20 11:42:15 EDT
Fixed in  selinux-policy-3.5.13-50.fc10
Comment 7 Bug Zapper 2009-11-18 04:50:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.